List Kerberos realms
GET
/directory-services/kerberos/realms
const url = 'https://sylve.lan:8181/api/directory-services/kerberos/realms';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/directory-services/kerberos/realms \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
Array<object>
object
adminServer
Array<string>
id
integer
kdc
Array<string>
kpasswdServer
Array<string>
realm
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "adminServer": [ "example" ], "id": 1, "kdc": [ "example" ], "kpasswdServer": [ "example" ], "realm": "example" } ], "error": "example", "message": "example", "status": "example"}